Defines

Preprocessor defines. More...

## Modules

| Version information
| C-Pluff version information.
| Symbol visibility
| Macros for controlling inter-module symbol visibility and linkage.
| GCC attributes
| These macros conditionally define GCC attributes for declarations.
| Flags for plug-in scanning
| These constants can be orred together for the flags parameter of cp_scan_plugins.

## Macros

#define | CP_C_API
| Marks a symbol declaration to be part of the C-Pluff C API.

## Detailed Description

Preprocessor defines.

## Macro Definition Documentation

## CP_C_API

#define CP_C_API

Marks a symbol declaration to be part of the C-Pluff C API.

This macro declares the symbol to be imported from the C-Pluff library.

Generated on Sun Mar 31 2024 17:56:45 for C-Pluff C API by 1.9.8